Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82176 - kdc, realm resolution in dns not working
Summary: kdc, realm resolution in dns not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: krb5
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-18 22:49 UTC by John Morris
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-05-12 02:24:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:208 normal SHIPPED_LIVE Updated Kerberos 5 (krb5) packages available 2004-05-11 04:00:00 UTC

Description John Morris 2003-01-18 22:49:35 UTC
As shipped by RedHat, v. 1.2.5-6, the option to enable dns resolution of kdc and
realm are not compiled in, despite that the argument '--enable-dns' is supplied
to the configure script.

This is probably a Kerberos bug, but it may be worked around by omitting the
option '--with-netlib'; specifying '--with-netlib=...' causes the code in the
'configure' script that turns on the '-DKRB5_DNS_LOOKUP_KDC=1
-DKRB5_DNS_LOOKUP_REALM=1 -DKRB5_DNS_LOOKUP=1' compile flags (starting around
line 1400) to be circumvented.

The quick fix is simply to omit the line reading '--with-netlib=-lresolv \' in
the krb5.spec file; at configure time, the script will find the resolv library
by itself, and turn on DNS lookup support at the same time.

If further information is needed, please ask, and I will supply it.

Comment 1 Daniel Wittenberg 2003-11-29 07:24:47 UTC
This has been a problem with RH 8, yet it is a simple fix, and is
still present in RHEL 3?  What's the deal ?

Comment 2 John Flanagan 2004-05-12 02:24:22 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-208.html



Note You need to log in before you can comment on or make changes to this bug.